<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<title>mysql_free_result</title>
<link rel="stylesheet" type="text/css" href="../../src/self.css">
<meta name="description"    content="Der belegte Speicher wird freigegeben">
<meta name="keywords"       content="SELFPHP, PHP, MySQL-Funktionen, mysql_free_result">
<meta name="author"         content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Contributer" content="Matthias Hupp, m.hupp@selfphp3.de">
<meta name="DC.Publisher"   content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Date"        content="2001-08-20T12:18+01:00">
<meta name="DC.Identifier"  content="http://www.selfphp3.de/funktionsreferenz/mysql_funktionen/mysql_free_result.html">
<meta name="DC.Language"    content="de">
<meta name="DC.Rights"      content="../../editorial/index.html">
<meta name="SELF.Firstdate" content="2001-08-20T12:18+01:00">
<meta name="SELF.Version"   content="1">
<meta name="SELF.Pagetype"  content="Information">
<meta name="SELF.Path"      content="SELFPHP == ../../index.php // Funktionsreferenz == ../index.php // MySQL-Funktionen == index.html">
</head>
<body bgcolor="#FFFFFF" text="#000000" link="#AA5522" vlink="#772200" alink="#000000">

<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
<td bgcolor="#FFEEDD" class="nav"><a class="an" name="top"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="../index.html"><b>Funktionsreferenz</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="index.html"><b>MySQL-Funktionen</b></a></td>
</tr>
</table>
<table cellpadding="4" cellspacing="0" border="0" width="100%">
  <tr> 
    <td bgcolor="#EEEEEE" class="doc" width="110"><img src="../../src/logo.gif" width="106" height="109" border="0" alt="SEL.html"></td>
    <td bgcolor="#EEEEEE" class="doc" valign="bottom" width="100%"> 
      <h2>mysql_free_result</h2></td>
</tr>
  <tr> 
    <td bgcolor="#EEEEEE" class="doc" valign="top" align="center"> <img src="../../src/dokx.gif" width="30" height="20" vspace="6" border="0" alt="Informationsseite"> 
    </td>
    <td bgcolor="#FFFFFF" valign="top" nowrap colspan="2"> 
      <p> <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#befehl"><b>Befehl</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#version"><b>Version</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#beschreibung"><b>Beschreibung</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#beispiel"><b>Beispiel</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#ausgabe"><b>Ausgabe</b></a><br>
      </p>
    </td>
  </tr>
  <tr>
    <td colspan=3 bgcolor="#EEEEEE" class="doc"><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;</td>
  </tr>
</table>



<h2 class="Sh2"><a class="an" name="befehl">Befehl</a></h2>



<table width="100%" cellpadding=10>
  <tr> 
    <td class="xmpcode" bgcolor="#E4EEFF"> 
      <p>int <b>mysql_free_result</b>(int Ergebnis-Kennung)</p>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="version">Version</a></h2>

<table width="100%" cellpadding=10 height="32">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF" height="20"> 
      <p>PHP 3, PHP 4 &gt;= 4.0b1</p>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="beschreibung">Beschreibung</a></h2>

<table width="100%" cellpadding=10 height="176">
  <tr> 
    <td class="xmpcode" bgcolor="#E4EEFF"> 
      <p>Mit mysql_free_result() kann man anhand einer Ergebnis-Kennung (Ergebnis-<br>
        Kennung) den belegten Speicher wieder freigeben.<br>
        Diese Funktion ist auf Servern mit sehr wenig Arbeitsspeicher sinnvoll, 
        um die<br>
        Resourcen wieder freizugeben. Nach Beendigung des Skripts wird der Speicher<br>
        automatisch wieder freigegeben.<br>
        Beachten Sie, dass nach dieser Funktion nicht mehr auf das Ergebnis Ihrer<br>
        Anfrage zur&uuml;ckgegriffen werden kann, da dieses entfernt wurde.</p>
      <p>Abw&auml;rtskompatible Funktionen:</p>
      <ul>
        <li>mysql_freeresult()</li>
      </ul>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="beispiel">Beispiel</a></h2>

<table width="100%" cellpadding=10 height="66">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF">
	<p>/*<b><br>
        </b><b>Datenbank:</b> </p>
      <table border="0" bgcolor=A6A6A6>
        <tr bgcolor=CCCCCC> 
          <td align=center colspan="4"><b>Tabelle selfphp_funktionen</b></td>
        </tr>
        <tr> 
          <td align=center><b>id</b></td>
          <td align=center><b>gruppe</b></td>
          <td align=center><b>befehl</b></td>
          <td align=center><b>version</b></td>
        </tr>
        <tr bgcolor=DDDDDD> 
          <td>1</td>
          <td>Array-Funktionen</td>
          <td>array_count_values</td>
          <td>(PHP 4 &gt;= 4.0b4)</td>
        </tr>
        <tr bgcolor=CCCCCC> 
          <td>2</td>
          <td>Variablen-Funktionen</td>
          <td>is_double</td>
          <td>(PHP 3 )</td>
        </tr>
        <tr bgcolor=DDDDDD> 
          <td>3</td>
          <td>Verzeichnis-Funktionen</td>
          <td>chdir</td>
          <td>(PHP 3, PHP 4 )</td>
        </tr>
      </table>
      <p>*/</p>
      <pre>
&lt;?PHP
/* Datenbankserver - In der Regel die IP */<br>  $db_server = &quot;localhost&quot;;</pre>
      <pre>/* Datenbankname */
  $db_name = &quot;selfphp&quot;;</pre>
      <pre>/* Datenbankuser */
  $db_user = &quot;root&quot;;</pre>
      <pre>/* Datenbankpasswort */
  $db_passwort = &quot;mega&quot;;
         
/* Erstellt Connect zu Datenbank her */<br>  $db = @MYSQL_CONNECT($db_server,$db_user,$db_passwort);<br>  mysql_select_db(&quot;selfphp&quot;,$db); 
  $result = mysql_query(&quot;SELECT befehl, version FROM selfphp_funktionen ORDER BY befehl&quot;); 
  while($row = mysql_fetch_array($result)) { <br>    echo $row['befehl'] . &quot; / &quot;;<br>    echo $row['version'] . &quot;&lt;br&gt;&quot;; <br>  }<br>  if(mysql_free_result($result));<br>    echo &quot;Speicher wurde wieder freigegeben&quot;;<br>?&gt;</pre>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>


<h2 class="Sh2"><a class="an" name="ausgabe">Ausgabe</a></h2>

<table width="100%" cellpadding=10 height="45">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF" height="57"> 
      <p>array_count_values / (PHP 4 &gt;= 4.0b4)<br>
        chdir / (PHP 3, PHP 4 )<br>
        is_double / (PHP 3 )<br>
        Speicher wurde wieder freigegeben</p>
      <p></p>
    </td>
  </tr></table>


<p>&nbsp;</p>


<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a>
</td></tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">weiter:<a href="mysql_insert_id.html"><img src="../../src/next.gif" width="10" height="10" border="0" hspace="10" alt="weiter"></a></td>
    <td bgcolor="#FFFFFF"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="mysql_insert_id.html"><b>mysql_insert_id</b></a> </td>
  </tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">zur&uuml;ck:<a href="mysql_field_type.html"><img src="../../src/prev.gif" width="10" height="10" border="0" hspace="10" alt="zur&uuml;ck"></a></td>
    <td bgcolor="#FFFFFF" width="100%"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="mysql_field_type.html"><b>mysql_field_type</b></a> </td>
</tr>
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">&#160;</td></tr>
</table><table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
    <td bgcolor="#FFEEDD" class="nav"><a class="an" name="bottom"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> 
      <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="../index.html"><b>Funktionsreferenz</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="index.html"><b>MySQL-Funktionen</b></a></td>
</tr>
</table>

<p><a class="an" name="bottom">&copy; 2001, 2002, 2003</A> <img src="../../src/mail.gif" width="15" height="10" border="0" alt="E-Mail">&nbsp;<a href="mailto:mail@selfphp.info">Damir Enseleit, mail@selfphp.info</a></p>



</body>
</html>